PAPI_get_real_cyc(3)

NAME
PAPI_get_real_cyc -

get real time counter value in clock cycles Returns the total real time passed since some arbitrary starting point. The time is returned in clock cycles. This call is equivalent to wall clock time.

SYNOPSIS

Detailed Description

@par Examples:

        s = PAPI_get_real_cyc();
        your_slow_code();
        e = PAPI_get_real_cyc();
        printf("Wallclock cycles: %lld\n",e-s);
*

See Also:
    PAPIF PAPI PAPI_get_virt_usec PAPI_get_virt_cyc PAPI_library_init

Author

Generated automatically by Doxygen for PAPI from the source code.